
Name: brackup
Summary: Brackup - a flexible backup tool
Version: 1.09.20100909
Release: 1%{?org_tag}%{dist}
Source0: %{name}-%{version}.tar.gz
License: Artistic
URL: http://code.google.com/p/brackup/
Group: Applications/System
Packager: Gavin Carr <gavin@openfusion.com.au>
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: perl(MP3::Info)
Requires: perl(File::Temp) >= 0.17
Requires: perl(IO::Compress::Gzip)
Requires: perl(IO::Uncompress::AnyUncompress)

%description
Brackup is a flexible backup tool, that slices, dices, encrypts, and sprays 
across the net. Supported backend targets include local filesystems, standard 
FTP and SFTP servers, Amazon's S3 storage service, and Rackspace's CloudFiles
service.

%package mount
Summary: brackup-mount utility
Group: Applications/System
Requires: brackup = %{version}

%description mount
brackup-mount is a utility for mounting a brackup backup as a filesystem.

%package amazon-s3
Summary: Brackup target for Amazon S3
Group: Applications/System
Requires: brackup = %{version}
Requires: perl(DateTime::TimeZone) >= 0.59

%description amazon-s3
brackup-amazon-s3 supplies the Amazon S3 target for the brackup backup tool.

%package cloudfiles
Summary: Brackup target for the Mosso Cloud Files service
Group: Applications/System
Requires: brackup = %{version}

%description cloudfiles
brackup-cloudfiles supplies the Mosso Cloud Files target for the brackup 
backup tool.

%package sftp
Summary: Brackup SFTP target
Group: Applications/System
Requires: brackup = %{version}

%description sftp
brackup-sftp supplies the SFTP target for the brackup backup tool.

%package riak
Summary: Brackup Riak target
Group: Applications/System
Requires: brackup = %{version}

%description riak
brackup-riak supplies the Riak target for the brackup backup tool.

%package googleappengine
Summary: Brackup GoogleAppEngine target
Group: Applications/System
Requires: brackup = %{version}

%description googleappengine
brackup-googleappengine supplies the GoogleAppEngine target for the brackup 
backup tool.

%package target-utils
Summary: Brackup utilities for use on targets/servers.
Group: Applications/System

%description target-utils
brackup-target-utils contains optional brackup utilities for use on brackup
targets/servers.

%prep
%setup

%build
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
perl Makefile.PL PREFIX=%{buildroot}/usr
make
#make test

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/usr/lib
mkdir -p %{buildroot}%{_mandir}
make install

# Cleanup stuff we don't need
rm -rf %{buildroot}/usr/lib/perl5/5*
rm -f  %{buildroot}/usr/lib/perl5/site_perl/*/makedocs.pl
rm -rf %{buildroot}%{_libdir}/perl5/5*/*-linux-thread-multi
rm -rf %{buildroot}%{_libdir}/perl5/site_perl/5*/*-linux-thread-multi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes TODO
%doc doc/*
%{_bindir}/brackup
%{_bindir}/brackup-restore
%{_bindir}/brackup-target
%{_bindir}/brackup-verify-inventory
/usr/lib/perl5/site_perl/5*/Brackup.pm
/usr/lib/perl5/site_perl/5*/Brackup/[A-LN-SU-Z]*
/usr/lib/perl5/site_perl/5*/Brackup/Manual
/usr/lib/perl5/site_perl/5*/Brackup/Metafile.pm
/usr/lib/perl5/site_perl/5*/Brackup/Target.pm
/usr/lib/perl5/site_perl/5*/Brackup/Target/Filebased.pm
/usr/lib/perl5/site_perl/5*/Brackup/Target/Filesystem.pm
/usr/lib/perl5/site_perl/5*/Brackup/Target/Ftp.pm
/usr/lib/perl5/site_perl/5*/Brackup/TargetBackupStatInfo.pm
/usr/lib/perl5/site_perl/5*/Brackup/Test.pm
%{_mandir}/man1/brackup.1.gz
%{_mandir}/man1/brackup-restore.1.gz
%{_mandir}/man1/brackup-target.1.gz
%{_mandir}/man1/brackup-verify-inventory.1.gz
%{_mandir}/man3/Brackup.3pm.gz
%{_mandir}/man3/Brackup::[A-LN-SU-Z]*pm.gz
%{_mandir}/man3/Brackup::Manual::Overview.3pm.gz
%{_mandir}/man3/Brackup::Target.3pm.gz
%{_mandir}/man3/Brackup::Target::Filesystem.3pm.gz
%{_mandir}/man3/Brackup::Target::Ftp.3pm.gz

%files mount
%defattr(-,root,root)
%{_bindir}/brackup-mount
/usr/lib/perl5/site_perl/5*/Brackup/Mount.pm
%{_mandir}/man1/brackup-mount.1.gz
%{_mandir}/man3/Brackup::Mount.3pm.gz

%files amazon-s3
%defattr(-,root,root)
/usr/lib/perl5/site_perl/5*/Brackup/Target/Amazon.pm
%{_mandir}/man3/Brackup::Target::Amazon.3pm.gz

%files cloudfiles
/usr/lib/perl5/site_perl/5*/Brackup/Target/CloudFiles.pm
%{_mandir}/man3/Brackup::Target::CloudFiles.3pm.gz

%files sftp
%defattr(-,root,root)
/usr/lib/perl5/site_perl/5*/Brackup/Target/Sftp.pm
%{_mandir}/man3/Brackup::Target::Sftp.3pm.gz

%files riak
%defattr(-,root,root)
/usr/lib/perl5/site_perl/5*/Brackup/Target/Riak.pm
%{_mandir}/man3/Brackup::Target::Riak.3pm.gz

%files googleappengine
%defattr(-,root,root)
/usr/lib/perl5/site_perl/5*/Brackup/Target/GoogleAppEngine.pm
%{_mandir}/man3/Brackup::Target::GoogleAppEngine.3pm.gz

%files target-utils
%{_bindir}/brackup-verify-chunks
%{_mandir}/man1/brackup-verify-chunks.1.gz

%changelog
* Thu Sep 09 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100909
- Merge Riak target branch.

* Fri May 28 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100528
- Merge brackup-target list_targets cmd.
- Merge ownership branch for testing.
- Merge various minor tweaks from upstream.

* Fri Apr 28 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100428
- Bugfix for compressed file restore problem (Alex Vandiver).
- Various minor tweaks to build and test files.

* Fri Jan 22 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100122
- Simplify gc inventory cleaning bugfix.
- Add brackup metafile compression when in unencrypted mode.

* Thu Jan 21 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100121
- Fix bug with brackup gc not removing orphaned chunks from inventory.

* Mon Jan 18 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100118
- Add gpg throttling on number of encrypted chunks outstanding.

* Tue Jan 12 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100115
- Add config section inheritance.

* Tue Jan 12 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100113
- Add Dict::SQLite2.
- Add tempfile_obj changes from upstream.

* Tue Jan 12 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100112
- Merge fixes to lowmem branch.
- Convert DigestCache from is-a Dict to has-a Dict, and proxy methods through.
- Add Dict::Null to allow turning DigestCache off altogether.

* Thu Jan 07 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100107
- Complete brackup-restore config file target changes.
- Tweak brackup-restore to auto-relativise absolute --just paths.
- Tweak brackup-restore to not require or initialise brackup.conf.

* Wed Jan 06 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100106
- Revert to IO::String instead of IO::Scalar, due to binmode problems.
- Merge brackup-restore composite-chunk optimisations by Kostas Chatzikokolakis.
- Allow brackup-restore targets to use config file sections, if available.

* Tue Jan 05 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100104b
- Fix buglet with metafile seek in Backup::backup.

* Tue Jan 05 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100104a
- Convert from IO::String to IO::Scalar, to minimise dependencies.

* Tue Jan 05 2010 Gavin Carr <gavin@openfusion.com.au> - 1.09.20100104
- Sync with upstream, merging trailing whitespace fixes.
- Merge experimental store metafile via fh patches.
- Merge experimental mem tuning patches by Kostas Chatzikokolakis.

* Wed Dec 30 2009 Gavin Carr <gavin@openfusion.com.au> - 1.09.20091217
- Sync with upstream, adding GoogleAppEngine target.

* Tue May 26 2009 Gavin Carr <gavin@openfusion.com.au> - 1.09.20090526
- Sync with upstream 1.09 release, including Mosso Cloud Files target.

* Thu Apr 16 2009 Gavin Carr <gavin@openfusion.com.au> - 1.07.20090416
- Add Amazon target ISO8601 modify timestamp handling.

* Mon Apr 13 2009 Gavin Carr <gavin@openfusion.com.au> - 1.07.20090413
- Add --interactive mode to brackup-target gc.
- Add --source support to brackup-target prune.

* Tue Nov 18 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20081118b
- Make brackup-target gc more verbose still, reporting chunks with -v -v.

* Tue Nov 18 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20081118
- Move colon unescaping fix for Brackup::Target::*::chunks.
- Add additional gc unit tests for ftp and sftp targets.

* Mon Nov 17 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20081117
- Fix typo in Brackup::Target::Sftp::chunks.
- Fix inversion bug in brackup-target prune --keep-backups option handling.
- Make brackup-target prune and gc more verbose; fix buglet in 04_gc.t.
- Add first-pass 'type' filtering to brackup-target prune.
- Fix bug in colon-escaped chunk comparison problem in Brackup::Target::gc.

* Fri Nov 14 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20081107
- Sync with upstream:
  o add headings, date formatting, and sorting to brackup-target list_backups
  o make brackup-restore report errors if nothing is restored

* Thu Aug 28 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806i
- Use POSIX::_exit in brackup to workaround exit hang problems.

* Mon Aug 25 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806h
- Rename --no-inventory brackup flag to --no-inventory-check.
- Add --no-inventory-update flag to brackup.
- Add size checks shortcuts to Target::{Ftp,Sftp}::store_chunks.

* Mon Aug 25 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806g
- Fix memoisation bug in brackup-verify-inventory.

* Mon Aug 25 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806f
- Add --delete functionality to brackup-verify-inventory.
- Add two levels of verboseness to brackup-verify-inventory.
- Make brackup-verify-chunks verbose handling similar to brackup-verify-inventory.
- Add experimental remote store_chunk size check to Ftp/Sftp targets.

* Fri Aug 15 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806e
- Add first-pass brackup-verify-inventory (and associated changes).

* Thu Aug 14 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806d
- Avoid clobbering brackup and stats files on repeat runs.
- Add a --no-inventory flag to brackup to bypass inventory checks.

* Wed Aug 13 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806c
- Add --save-stats support to BackupStats.
- Add --gtop-stats support to BackupStats.

* Tue Aug 12 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806b
- Add some first-pass BackupStats.

* Wed Aug 06 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806
- Update to svn r209 20080806.

* Mon Aug 04 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080804
- Update to svn r208 20080804.

* Wed Jul 30 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080730
- Update to svn r203 20080730.

* Mon Jul 07 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080629d
- Tweak Brackup::Target::Sftp colon handling parameters to match Filesystem.

* Tue Jul 01 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080629a
- Update Brackup::Target::Sftp with autoretry and sftp_port functionality.

* Mon Jun 30 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080629
- Update to svn r200 20080629.

* Thu Jun 26 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080618b
- Bump to 20080618b, including initial Brackup::Target::Sftp.

* Tue Jun 24 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080618a
- Bump to 20080618a, including a few minor restore tweaks.

* Thu Jun 18 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080618
- Update to svn r197 20080618.

* Wed Apr 30 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080420
- Initial spec file, version 1.06, svn r194 20080420.

